Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2013-2506

Overview

Vulnerability Score 4.0 4.0
CVE Id CVE-2013-2506
Last Modified 18 Mar 2013 12:00:00
Published 08 Mar 2013 01:55:01
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity LOW
Authentication SINGLE_INSTANCE

CVE-2013-2506

Summary

app/models/spree/user.rb in spree_auth_devise in Spree 1.1.x before 1.1.6, 1.2.x, and 1.3.x does not perform mass assignment safely when updating a user, which allows remote authenticated users to assign arbitrary roles to themselves.

Vulnerable Systems

Application

  • Spreecommerce Spree 1.1.0

  • Spreecommerce Spree 1.1.1

  • Spreecommerce Spree 1.1.2

  • Spreecommerce Spree 1.1.3

  • Spreecommerce Spree 1.1.4

  • Spreecommerce Spree 1.1.5

  • Spreecommerce Spree 1.1.6

  • Spreecommerce Spree 1.2.0

  • Spreecommerce Spree 1.2.1

  • Spreecommerce Spree 1.2.2

  • Spreecommerce Spree 1.2.3

  • Spreecommerce Spree 1.2.4

  • Spreecommerce Spree 1.3.0

  • Spreecommerce Spree 1.3.1

  • Spreecommerce Spree 1.3.2


References

CONFIRM - https://github.com/spree/spree_auth_devise/commit/038d74771d3b5c13d13b738b73dfda1033a99f65

CONFIRM - http://spreecommerce.com/blog/multiple-security-vulnerabilities-fixed


Last Updated: 27 May 2016 11:02:04